Bug 464749 - Desktop screen black after login
Desktop screen black after login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On: 463122
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 03:40 EDT by Matěj Cepl
Modified: 2018-04-11 09:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2008-09-30 03:40:07 EDT
+++ This bug was initially created as a clone of Bug #463122 +++

Description of problem:

Sony VAIO laptop, GE Force 5600.  Start laptop in X, log in, screen
goes black and stays that way.  The updated X server also required an xorg.conf file to even use it -- it failed to include default pointer and keyboard modules.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg        i386        1.5.0-1.fc9

How reproducible:

Always, anything beyond the distribution server -- the 20080702 update did not work either.

Steps to Reproduce:
1.  Update X server
2.  Restart X server
3.  Log in
  
Actual results:

Screen goes black, stays black.  Have to switch to text console (Ctrl-Alt-F1) to regain control of machine.

Expected results:

Normal X/KDE startup activity

Additional info:

This setup works:xorg-x11-server-Xorg
xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.i386
xorg-x11-server-common-1.5.0-1.fc9.i386
xorg-x11-server-utils-7.4-1.fc9.i386
xorg-x11-server-devel-1.5.0-1.fc9.i386
xorg-x11-drv-mouse-1.3.0-2.fc9.i386
xorg-x11-drv-fbdev-0.3.1-7.fc9.i386
xorg-x11-drv-nv-2.1.10-1.fc9.i386
xorg-x11-drv-vesa-2.0.0-1.fc9.i386
xorg-x11-drv-evdev-2.0.4-1.fc9.i386
xorg-x11-drv-keyboard-1.3.0-3.fc9.i386
xorg-x11-drv-vga-4.1.0-5.fc8.i386
xorg-x11-drv-void-1.1.1-9.fc9.i386

Any other xorg-x11-server-Xorg from Fedora updates fails with all other components at the same versions shown above.

--- Additional comment from mcepl@redhat.com on 2008-09-22 10:59:37 EDT ---

Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

--- Additional comment from mmclagan@invlogic.com on 2008-09-26 01:26:42 EDT ---

xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.i386

I ran with no xorg.conf prior to starting up 1.5.0-1 when I found that it did not find the keyboard and mouse at which time I installed a very simple file, 
enough to get the mouse/keyboard recognised.  I didn't remove it when I downgraded back to the above version, but I'll include it nonetheless.

--- Additional comment from mmclagan@invlogic.com on 2008-09-26 01:28:27 EDT ---

Created an attachment (id=317765)
xorg.conf for 1.5.0 Xorg server

--- Additional comment from mmclagan@invlogic.com on 2008-09-26 01:30:27 EDT ---

Created an attachment (id=317766)
1.5.0-1 server booted with minimal xorg.conf, black after login

--- Additional comment from mmclagan@invlogic.com on 2008-09-26 01:31:12 EDT ---

Created an attachment (id=317767)
Log of current, active, functional session startup
Comment 1 Matěj Cepl 2008-09-30 03:43:52 EDT
OK, so this is a bug about malfunctioning nv driver. The previous bug 463122 will stay only as a keyboard bug.
Comment 2 Bug Zapper 2009-06-09 22:50:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:49:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.